local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)

aom_item_entity = {}

dofile(mod_path .. "/settings.lua")
dofile(mod_path .. "/eventbus.lua")
dofile(mod_path .. "/helpers.lua")
dofile(mod_path .. "/item_entity.lua")
dofile(mod_path .. "/builtin.lua")
dofile(mod_path .. "/scripts/movement.lua")
dofile(mod_path .. "/scripts/magnet.lua")
dofile(mod_path .. "/scripts/merge.lua")
dofile(mod_path .. "/scripts/lay_flat.lua")
dofile(mod_path .. "/scripts/push_out_of_nodes.lua")
dofile(mod_path .. "/scripts/sounds.lua")
dofile(mod_path .. "/scripts/flow_in_water.lua")
dofile(mod_path .. "/scripts/burn_in_fire.lua")

-- check if conflicting mods
dofile(mod_path .. "/check_compatibility.lua")
